Bug 535787 - (RHQ-2447) RHQ agent returns an "null" on its start message when locale syntax is different than en_US
RHQ agent returns an "null" on its start message when locale syntax is differ...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
1.3
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Charles Crouch
Rajan Timaniya
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
 
Reported: 2009-10-01 16:42 EDT by Rodrigo A B Freire
Modified: 2015-02-01 18:25 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
RHEL CSB 5 x32, RHEL 5 x64, Windows Server 2008 All of them, JDK 1.6.0_u7 x65, except for RHELCSB5, which uses the x32 JDK
Last Closed: 2013-09-03 12:56:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rodrigo A B Freire 2009-10-01 16:42:00 EDT
If your system locale environment date syntax is different from en_US, your agent will return on its startup message:
RHQ 1.3.0.GA [5192] (null) 
instead of
RHQ 1.3.0.GA [5192] (Thu Sep 17 13:17:28 BRT 2009) 
(or other timezone-derived date/time)

This behaviour is also noticed on previous JON agents.

The workaround to get rid of the wrong message is start JON agent with an language prefix
LANG=en_US ./rhq-agent-wrapper.sh start
Comment 1 Ian Springer 2009-10-01 16:46:14 EDT
Fixed - r5235.
Comment 2 Red Hat Bugzilla 2009-11-10 16:04:37 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2447
Comment 3 wes hayutin 2010-02-16 11:56:11 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 4 wes hayutin 2010-02-16 12:01:19 EST
making sure we're not missing any bugs in rhq_triage
Comment 5 Corey Welton 2010-10-06 23:40:23 EDT
rajan - can you take a quick look at this?
Comment 6 Rajan Timaniya 2010-10-07 05:03:54 EDT
Verified on RHQ-Master build #379
http://hudson-qe.rhq.rdu.redhat.com:8080/view/RHQ/job/ci-rhq-master/379/

QE Environment:
RHEL 5.5 (LANG="en_GB.UTF-8" and date-format=BST)
Postgres 8.4

Installed RHQ-Agent with LANG="en_GB.UTF-8" and date-format=BST on RHEL 5.5

Observation:
RHQ-Agent installed without 'null'

Log:
[root@rajanlaptop bin]# ./rhq-agent.sh -s
RHQ 4.0.0-SNAPSHOT [83f9565] (Wed Oct 06 18:20:59 BST 2010)
Answer the following questions to setup this RHQ Agent instance.
- After each prompt, a default value will appear in square brackets.
  If you press the ENTER key without providing any value,
  the new preference value will be set to that default value.
- If you wish to rely on the system internal default value and
  not define any preference value, enter '!*'.
- If you wish to stop before finishing all the questions but still
  retain those preferences you already set, enter '!+'.
- If you wish to cancel before finishing all the questions and revert
  all preferences back to their original values, enter '!-'.
- If you need help for a particular preference, enter '!?'.

Agent Name [10.65.193.1] : 
Agent Hostname or IP Address [!*] : 10.65.193.1
Agent Port [16163] : 
RHQ Server Hostname or IP Address [10.65.193.1] : 
RHQ Server Port [7080] : 
The setup has been completed for the preferences at node [/rhq-agent/default].
>
Comment 8 Heiko W. Rupp 2013-09-03 12:56:10 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.